Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\SignalSlot\URLService Class Reference
Inheritance diagram for eZ\Publish\Core\SignalSlot\URLService:

## Public Member Functions
| __construct (URLServiceInterface $service, SignalDispatcher $signalDispatcher)
| URLService constructor. More...
| createUpdateStruct ()
| {Instantiates a new URL update struct. Returns \eZ\Publish\API\Repository\Values\URL\URLUpdateStruct } More...
| findUrls (URLQuery $query)
  | {Find URLs. Exceptions
} More...
| findUsages (URL $url, $offset=0, $limit=-1)
  | {Find content objects using URL.Content is filter by user permissions. Parameters
  \eZ\Publish\API\Repository\Values\URL\URL | $url |
  int | $offset |
  int | $limit |
Returns \eZ\Publish\API\Repository\Values\URL\UsageSearchResult } More...
| loadById ($id)
  | {Load single URL (by ID). Exceptions
} More...
| loadByUrl ($url)
  | {Load single URL (by URL). Exceptions
} More...
| updateUrl (URL $url, URLUpdateStruct $struct)
  | {Updates URL. Exceptions
} More...

## Protected Attributes
| $service
| $signalDispatcher

## Detailed Description

Definition at line 15 of file Core/SignalSlot/URLService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\SignalSlot\URLService::__construct | ( | URLServiceInterface | $service,
|  | SignalDispatcher | $signalDispatcher
| ) |  |

URLService constructor.

Parameters

  \eZ\Publish\API\Repository\URLService | $service |
  \eZ\Publish\Core\SignalSlot\SignalDispatcher | $signalDispatcher |

Definition at line 37 of file Core/SignalSlot/URLService.php.

References eZ\Publish\Core\SignalSlot\URLService\$service, and eZ\Publish\Core\SignalSlot\URLService\$signalDispatcher.

## Member Function Documentation

## ◆ createUpdateStruct()

eZ\Publish\Core\SignalSlot\URLService::createUpdateStruct | ( |  | ) |

{Instantiates a new URL update struct.

Returns
  \eZ\Publish\API\Repository\Values\URL\URLUpdateStruct

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 46 of file Core/SignalSlot/URLService.php.

## ◆ findUrls()

eZ\Publish\Core\SignalSlot\URLService::findUrls | ( | URLQuery | $query | ) |

{Find URLs.

Exceptions

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 54 of file Core/SignalSlot/URLService.php.

## ◆ findUsages()

eZ\Publish\Core\SignalSlot\URLService::findUsages | ( | URL | $url,
|  |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

{Find content objects using URL.Content is filter by user permissions.

Parameters

  \eZ\Publish\API\Repository\Values\URL\URL | $url |
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\API\Repository\Values\URL\UsageSearchResult

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 62 of file Core/SignalSlot/URLService.php.

## ◆ loadById()

eZ\Publish\Core\SignalSlot\URLService::loadById | ( |  | $id | ) |

{Load single URL (by ID).

Exceptions

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 70 of file Core/SignalSlot/URLService.php.

## ◆ loadByUrl()

eZ\Publish\Core\SignalSlot\URLService::loadByUrl | ( |  | $url | ) |

{Load single URL (by URL).

Exceptions

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 78 of file Core/SignalSlot/URLService.php.

## ◆ updateUrl()

eZ\Publish\Core\SignalSlot\URLService::updateUrl | ( | URL | $url,
|  | URLUpdateStruct | $struct
| ) |  |

{Updates URL.

Exceptions

}

Implements eZ\Publish\API\Repository\URLService.

Definition at line 86 of file Core/SignalSlot/URLService.php.

## Member Data Documentation

## ◆ $service

eZ\Publish\Core\SignalSlot\URLService::$service
| protected

Definition at line 22 of file Core/SignalSlot/URLService.php.

Referenced by eZ\Publish\Core\SignalSlot\URLService\__construct().

## ◆ $signalDispatcher

eZ\Publish\Core\SignalSlot\URLService::$signalDispatcher
| protected

Definition at line 29 of file Core/SignalSlot/URLService.php.

Referenced by eZ\Publish\Core\SignalSlot\URLService\__construct().

The documentation for this class was generated from the following file:

- Core/SignalSlot/URLService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.